# Poco::LinearHashTable

# class ConstIterator

Library: Foundation
Package: Hashing
Header: Poco/LinearHashTable.h

## Inheritance

Direct Base Classes: std::iterator < std::forward_iterator_tag, Value >

All Base Classes: std::iterator < std::forward_iterator_tag, Value >

Known Derived Classes: Iterator

## Member Summary

Member Functions: operator !=, operator *, operator ++, operator =, operator ==, operator->, swap

## Constructors

### ConstIterator

ConstIterator();

### ConstIterator

ConstIterator(
const ConstIterator & it
);

### ConstIterator

ConstIterator(
const BucketVecIterator & vecIt,
const BucketVecIterator & endIt,
const BucketIterator & buckIt
);

## Member Functions

### operator !=

bool operator != (
const ConstIterator & it
) const;

### operator *

const typename Bucket::value_type & operator * () const;

### operator ++

ConstIterator & operator ++ ();

### operator ++

ConstIterator operator ++ (
int
);

### operator =

ConstIterator & operator = (
const ConstIterator & it
);

### operator ==

bool operator == (
const ConstIterator & it
) const;

### operator->

const typename Bucket::value_type * operator-> () const;

### swap

void swap(
ConstIterator & it
) noexcept;

## Variables

### _buckIt

BucketIterator _buckIt;

### _endIt

BucketVecIterator _endIt;

### _initialized

bool _initialized;

### _vecIt

BucketVecIterator _vecIt;